package com.sptg.pay.api.vendor.wxPay.validate;

/**
 * 数据校验接口定义
 */
public interface WxPayDataValidate {

    /**
     * 校验数据
     * @return true for valid
     */
    boolean validate();

    default boolean hasText(String input) {
        return null != input && input.trim().length() > 0;
    }

    default boolean hasPositive(Integer input) {
        return null != input && input > 0;
    }

}
